/**
 * LightBox
 */
(function ($) {
	var images  = new Array();
	var current = 0;
	
	$.fn.lightbox = function () {
		return this.each(
			function (index, element) {
				var $this   = $(element);
				
				// Init
				var $images = $this.find('.thumb img');
				if ($images.length == 0) {
					$images = $this.children('img');
				}
				
				$images.each(
					function () {
						var $this = $(this);
						var src = $this.attr('src').replace(/\/thumbs\/\w+/, '');
						images.push(src);
						$this.
							unbind('.lightbox-set').
							
							bind('click.lightbox-set',
								function () {
									current = $.inArray(src, images);
								}
							)
						;
					}
				);
				
				var $lightbox = $('#lightbox');
				if ($lightbox.length == 0 && images.length != 0) {
					$('body').append('                                             \
						<div id="lightbox">                                        \
							<div class="container">                                \
								<span>Click on image or press Esc to close</span>  \
								<button class="prev">Prev</button>                 \
								<button class="next">Next</button>                 \
								<img src="'+images[current]+'" />                  \
							</div>                                                 \
						</div>                                                     \
					');
					
					$lightbox = $('#lightbox').click(
						function () {
							$lightbox.hide();
						}
					);
					
					$('#lightbox .next').click(
						function () {
							current++;
							if (current >= images.length) {
								current = 0;
							}
							$lightbox.find('img').attr('src', images[current]);
							return false;
						}
					);
					
					$('#lightbox .prev').click(
						function () {
							current--;
							if (current < 0) {
								current = images.length - 1;
							}
							$lightbox.find('img').attr('src', images[current]);
							return false;
						}
					);
					
					$(document).
						
						unbind('.lightbox').
						
						bind('keyup.lightbox',
							function(e) {
								if (e.keyCode == 27) {    // esc 
									$lightbox.hide();
								}
							}
						)
					;			
				}
				
				
				$this.children('img').
					
					unbind('.lightbox').
					
					bind('click.lightbox',
						function () {
							$lightbox.find('img').attr('src', images[current]);
							$lightbox.show();
						}
					)
				;
				
			}
		);
	}
})(jQuery);
